QGIS Application - Bug report #15682
length function is only listed in string methods
2016-10-09 03:48 AM - Anita Graser

Status: Closed
Priority: Normal
Assignee: Nyall Dawson
Category: Expressions

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23605

Description

Since length is also available for geometries, it should also be listed in the Geometry section of the expression builder function list.

Otherwise it is easy to miss it.

Associated revisions

Revision 0¢c4bf943 - 2016-10-10 11:53 AM - Nyall Dawson

Allow expression functions to appear in multiple groups (fix #15682)

Now functions which make sense for multiple contexts (eg length,

to_date) can appear in more than one group.

Revision 6fc9712a - 2016-10-12 12:54 PM - Nyall Dawson

Allow expression functions to appear in multiple groups (fix #15682)

Now functions which make sense for multiple contexts (eg length,
to_date) can appear in more than one group.

(cherry-picked from 0c4bf943c141ff88519ee7e2474d828230c84272)

Revision b9a69d07 - 2016-10-12 02:19 PM - Nyall Dawson

Allow expression functions to appear in multiple groups (fix #15682)

Now functions which make sense for multiple contexts (eg length,
to_date) can appear in more than one group.

(cherry-picked from 0c4bf943c141ff88519ee7e24740d828230c84272)

History

#1 - 2016-10-10 02:54 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"0c4bf943c141ff88519ee7€2474d828230c84272".
